problem installing glance on ubuntu 12.04 from repository after removed the installation from source

asked 2012-08-19 14:51:49 -0500

jacopo85 gravatar image

Hi,

i have a problem during the installation of glance on Ubuntu 12.04.

i have a previous installation with the devstack script, but i had some problem in the configuration so i decide to install keystone and glance from the ubuntu repository. So i removed the glance installation directory and did some clean up. Then i install keystone with no problem, but when i try to install glance the response is:


j*o@m*1:~$ sudo apt-get install glance Lettura elenco dei pacchetti... Fatto Generazione albero delle dipendenze
Lettura informazioni sullo stato... Fatto I seguenti pacchetti saranno inoltre installati: glance-api glance-client glance-common glance-registry python-glance I seguenti pacchetti NUOVI saranno installati: glance glance-api glance-client glance-common glance-registry python-glance 0 aggiornati, 6 installati, 0 da rimuovere e 0 non aggiornati. È necessario scaricare 0 B/266 kB di archivi. Dopo quest'operazione, verranno occupati 1929 kB di spazio su disco. Continuare [S/n]? s Selezionato il pacchetto python-glance non precedentemente selezionato. (Lettura del database... 224142 file e directory attualmente installati.) Estrazione di python-glance (da .../python-glance_2012.1+stable~20120608-5462295-0ubuntu2.2_all.deb)... Selezionato il pacchetto glance-common non precedentemente selezionato. Estrazione di glance-common (da .../glance-common_2012.1+stable~20120608-5462295-0ubuntu2.2_all.deb)... Selezionato il pacchetto glance-api non precedentemente selezionato. Estrazione di glance-api (da .../glance-api_2012.1+stable~20120608-5462295-0ubuntu2.2_all.deb)... Selezionato il pacchetto glance-registry non precedentemente selezionato. Estrazione di glance-registry (da .../glance-registry_2012.1+stable~20120608-5462295-0ubuntu2.2_all.deb)... Selezionato il pacchetto glance non precedentemente selezionato. Estrazione di glance (da .../glance_2012.1+stable~20120608-5462295-0ubuntu2.2_all.deb)... Selezionato il pacchetto glance-client non precedentemente selezionato. Estrazione di glance-client (da .../glance-client_2012.1+stable~20120608-5462295-0ubuntu2.2_all.deb)... Elaborazione dei trigger per ureadahead... ureadahead will be reprofiled on next reboot Configurazione di python-glance (2012.1+stable~20120608-5462295-0ubuntu2.2)... Configurazione di glance-common (2012.1+stable~20120608-5462295-0ubuntu2.2)... Aggiunta dell'utente di sistema «glance» (UID 125) ... Aggiunta del nuovo utente «glance» (UID 125) con gruppo «glance» ... La directory home «/var/lib/glance» non è stata creata. Configurazione di glance-api (2012.1+stable~20120608-5462295-0ubuntu2.2)... glance-api start/running, process 3184 Configurazione di glance-registry (2012.1+stable~20120608-5462295-0ubuntu2.2)... Traceback (most recent call last): File "/usr/bin/glance-manage", line 43, in <module> from glance.common import cfg ImportError: cannot import name cfg dpkg: errore nell'elaborare glance-registry (--configure): il sottoprocesso vecchio script di post-installation ha restituito lo stato di errore 1 dpkg: problemi con le dipendenze impediscono la configurazione di glance: glance dipende da glance-registry (= 2012.1+stable~20120608-5462295-0ubuntu2.2), ma: Il pacchetto glance-registry non è ancora configurato. dpkg: errore nell'elaborare glance (--configure): problemi con le dipendenze - lasciato non configurato Configurazione di glance-client (2012.1+stable~20120608-5462295-0ubuntu2.2)... Segnalazione apport non scritta poiché il messaggio di errore indica la presenza di un fallimento precedente. Si sono verificati degli errori nell'elaborazione: glance-registry glance

E: Sub-process /usr/bin/dpkg returned an error code (1)

I don't know where the problem is, what i have to do?

Thanks for your help.

edit retag flag offensive close merge delete

1 answer

Sort by » oldest newest most voted
0

answered 2012-08-23 07:20:11 -0500

yuxcer gravatar image

The error info is ImportError: cannot import name cfg. I think one reason is you did not clean up the previous installed glance ,try to use apt-get -y remove glance* apt-get autoclean , then you can use locate to find whether glance code exist in your python dist-pacakge directory . after that clean up your environment , you can try to reinstall glance and find if it works ok.

edit flag offensive delete link more

Get to know Ask OpenStack

Resources for moderators

Question Tools

1 follower

Stats

Asked: 2012-08-19 14:51:49 -0500

Seen: 51 times

Last updated: Aug 23 '12